Subject: Re: bug#60146: file-exists-in-trash-p needs better name or semantics

From: Stefan Monnier <[email-masked]>
Date: Sat, 17 Dec 2022 10:51:38 -0500

> I don't really mind renaming that function, but the reason I called it
> like I did was that apparently no one needed such a functionality in
> Emacs until now, except in this obscure use case of moving to trash.
> That seems to tell me that extending file-exists-p would be a solution
> waiting for the problem, something that we don't like doing.

Hmm... arguing about names, eh?
Let me throw that hat into the ring: IIUC this is a variant of
`file-exists-p` (currently) used only when dealing the trash, so I'd
call it `trash--file-exists-p`.

> In any case, if we do decide to extend file-exists-p, it would need to
> be done on master, as that is not a trivial change, which has to be
> done in C.

Indeed, I see no need for that on emacs-29.

        Stefan